Summary: Portal frontend service to flatpak
Name:    xdg-desktop-portal
Version: 1.15.0
Release: 7%{?dist}
License: LGPLv2+
URL:     https://github.com/flatpak/xdg-desktop-portal/
Source0: %{url}releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires: gcc make systemd-rpm-macros pkgconfig(fuse3) pkgconfig(gdk-pixbuf-2.0)
BuildRequires: pkgconfig(gio-unix-2.0) pkgconfig(json-glib-1.0) pkgconfig(libgeoclue-2.0)
BuildRequires: pkgconfig(libpipewire-0.3) pkgconfig(libsystemd) /usr/bin/xmlto

Requires:      dbus geoclue2 glib2 pipewire-libs /usr/bin/fusermount low-memory-monitor
Provides:      %{name}-devel = %{version}-%{release}
Obsoletes:     %{name}-devel <= %{version}-%{release}

Recommends:    pipewire

%description
xdg-desktop-portal works by exposing a series of D-Bus interfaces known as portals under a well-known name
(org.freedesktop.portal.Desktop) and object path (/org/freedesktop/portal/desktop). The portal interfaces
include APIs for file access, opening URIs, printing and others.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure \
    --disable-docbook-docs \
    --disable-libportal
%make_build

%install
%make_install
install -dm 755 %{buildroot}/%{_pkgdocdir}
install -pm 644 README.md %{buildroot}/%{_pkgdocdir}
install -dm 755 %{buildroot}/%{_datadir}/xdg-desktop-portal/portals

%find_lang %{name}

%post
%systemd_user_post xdg-desktop-portal.service
%systemd_user_post xdg-permission-store.service

%preun
%systemd_user_preun xdg-desktop-portal.service
%systemd_user_preun xdg-permission-store.service

%files -f %{name}.lang
%license COPYING
%doc %{_pkgdocdir}
%{_datadir}/dbus-1/interfaces/org.freedesktop.portal.*.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.impl.portal.*.xml
%{_datadir}/dbus-1/services/org.freedesktop.portal.Desktop.service
%{_datadir}/dbus-1/services/org.freedesktop.portal.Documents.service
%{_datadir}/dbus-1/services/org.freedesktop.impl.portal.PermissionStore.service
%{_datadir}/xdg-desktop-portal/
%{_libexecdir}/xdg-desktop-portal
%{_libexecdir}/xdg-desktop-portal-rewrite-launchers
%{_libexecdir}/xdg-desktop-portal-validate-icon
%{_libexecdir}/xdg-permission-store
%{_userunitdir}/xdg-desktop-portal.service
%{_userunitdir}/xdg-desktop-portal-rewrite-launchers.service
%{_userunitdir}/xdg-permission-store.service
%{_datadir}/pkgconfig/xdg-desktop-portal.pc
%exclude %{_libexecdir}/xdg-document-portal
%exclude %{_userunitdir}/xdg-document-portal.service

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.15.0-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.15.0-6
- Rebuilt for loongarch release

* Tue Nov 21 2023 cunshunxia@tencent.com - 1.15.0-5
- Rebuilt for pipewire 0.3.85

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.15.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.15.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.15.0-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Dec 12 2022 Shuo Wang <abushwang@tencent.com> - 1.15.0-1
- initial build

